# Uses of Interface
org.apache.lucene.util.ResourceLoader

Packages that use ResourceLoader
Package
Description
org.apache.lucene.analysis
Text analysis.
org.apache.lucene.util
Some utility classes.

- ## Uses of ResourceLoader in org.apache.lucene.analysis

  Methods in org.apache.lucene.analysis with parameters of type ResourceLoader
  Modifier and Type
  Method
  Description
  `protected final List<String>`
  AbstractAnalysisFactory.`getLines(ResourceLoader loader, String resource)`
  Returns the resource's lines (with content treated as UTF-8)
  `protected final CharArraySet`
  AbstractAnalysisFactory.`getSnowballWordSet(ResourceLoader loader, String wordFiles, boolean ignoreCase)`
  same as `AbstractAnalysisFactory.getWordSet(ResourceLoader, String, boolean)`, except the input is in snowball format.
  `protected final CharArraySet`
  AbstractAnalysisFactory.`getWordSet(ResourceLoader loader, String wordFiles, boolean ignoreCase)`
  Returns as `CharArraySet` from wordFiles, which can be a comma-separated list of filenames

- ## Uses of ResourceLoader in org.apache.lucene.util

  Classes in org.apache.lucene.util that implement ResourceLoader
  Modifier and Type
  Class
  Description
  `final class`
  `ClasspathResourceLoader`
  Simple `ResourceLoader` that uses `ClassLoader.getResourceAsStream(String)` and `Class.forName(String,boolean,ClassLoader)` to open resources and classes, respectively.
  `final class`
  `ModuleResourceLoader`
  Simple `ResourceLoader` that uses `Module.getResourceAsStream(String)` and `Class.forName(Module,String)` to open resources and classes, respectively.
  Methods in org.apache.lucene.util with parameters of type ResourceLoader
  Modifier and Type
  Method
  Description
  `void`
  ResourceLoaderAware.`inform(ResourceLoader loader)`
  Initializes this component with the provided ResourceLoader (used for loading classes, files, etc).